Project

General

Profile

Bug #2691

[icecat]: XPCOMGlueLoad error ibxul.so: libffi.so.6:

eliotime3000 - over 2 years ago - . Updated over 2 years ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

0%


Description

When I try to run IceCat, it doesn't run. At the moment to run in the terminal, this message appears:

XPCOMGlueLoad error for file /usr/lib/icecat/libxul.so:
libffi.so.6: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

In Iceweasel and Icedove, this problem is not present.


Related issues

Related to Packages - Bug #2694: [p11-kit] needs rebuild against [libffi] (affects [paraview], [lxterminal], [emacs] and probably others)fixed

Actions
Has duplicate Packages - Bug #2697: [icecat] not finding libffi after update, won't launch without workaroundduplicate

Actions
Has duplicate Packages - Bug #2701: icecat and libffiduplicate

Actions

History

#1

Updated by mzo over 2 years ago

eliotime3000 wrote:

In Iceweasel and Icedove, this problem is not present.

Yes, it is.

mzo@libre ~]$ icedove
XPCOMGlueLoad error for file /usr/lib/icedove/libxul.so:
libffi.so.6: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

#2

Updated by eliotime3000 over 2 years ago

In x86_64. Icedove have the same issue than GNU IceCat.

XPCOMGlueLoad error for file /usr/lib/icedove/libxul.so:
libffi.so.6: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
#3

Updated by theova over 2 years ago

  • Related to Bug #2694: [p11-kit] needs rebuild against [libffi] (affects [paraview], [lxterminal], [emacs] and probably others) added
#4

Updated by oaken-source over 2 years ago

unfortunately, icecat-60.7 does not build with rust-1.42, which is currently in [extra], so rebuilding is not a straigtforward thing.

I'm looking whether this can be fixed, or we can package the 68.7 preview branch.

#5

Updated by oaken-source over 2 years ago

  • Status changed from unconfirmed to confirmed
#6

Updated by theova over 2 years ago

  • Has duplicate Bug #2697: [icecat] not finding libffi after update, won't launch without workaround added
#7

Updated by theova over 2 years ago

  • Has duplicate Bug #2701: icecat and libffi added
#8

Updated by bill-auger over 2 years ago

  • Related to Bug #2771: [i686/unknown-pkg]: error while loading shared libraries: libffi.so.6 added
#9

Updated by bill-auger over 2 years ago

  • Subject changed from XUL dependence with IceCat makes conflicts to [icecat]: XPCOMGlueLoad error ibxul.so: libffi.so.6:
#10

Updated by bill-auger over 2 years ago

i was able to rebuild v60 for x86_64 by installing rust v39 and llvm v9 - that should satisfy this ticket - yes?

it satisfies the icu rebuild #2055 anyways

#11

Updated by bill-auger over 2 years ago

  • Related to deleted (Bug #2771: [i686/unknown-pkg]: error while loading shared libraries: libffi.so.6)
#12

Updated by bill-auger over 2 years ago

  • Assignee set to bill-auger

p11-kit 0.23.20-5.nonsystemd1 fixed this for me - please write back if anyone still has this problem

#13

Updated by bill-auger over 2 years ago

  • Status changed from confirmed to fixed
#14

Updated by doolio over 2 years ago

I'm using systemd on my i686 system so I presume I can't use this library from the nonsystemd repo. My up-to-date system has p11-kit 0.23.20-4.0 from core. I trust 0.23.20-5 will appear in core some time soon. Thanks for your time.

#15

Updated by bill-auger over 2 years ago

p11-kit 0.23.20-5.0 is in i686/staging - i assumed that icecat for i686 still worked - i planned to rebuild it when p11-kit moved from i686/staging to i686/core

so icecat for i686 gives the libffi error now ?

#16

Updated by doolio over 2 years ago

Yes, icecat for i686 still reports the same error for me with p11-kit 0.23.20-4.0. I will report back if it is fixed when p11-kit 0.23.20-5.0 is moved to i686/core. Thanks for your time.

#17

Updated by bill-auger over 2 years ago

i just rebuilt icecat for i686 (60.7.0_gnu1-2) - it is working for me

#18

Updated by doolio over 2 years ago

Yes, with the latest update I can confirm icecat for i686 is working again for me. Thanks for the quick turnaround.

Also available in: Atom PDF